Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ssaglobal.generator.genctl
Interface GenctlFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenctlFactoryImpl

    public interface GenctlFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GenctlPackage`

Field Summary
`static GenctlFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`AppliesTo` | `createAppliesTo()` Returns a new object of class 'Applies To'
`GeneratorControlArea` | `createGeneratorControlArea()` Returns a new object of class 'Generator Control Area'
`GeneratorPreferences` | `createGeneratorPreferences()` Returns a new object of class 'Generator Preferences'
`GeneratorProperty` | `createGeneratorProperty()` Returns a new object of class 'Generator Property'
`ModelResourceFactory` | `createModelResourceFactory()` Returns a new object of class 'Model Resource Factory'
`Template` | `createTemplate()` Returns a new object of class 'Template'
`TemplateCondition` | `createTemplateCondition()` Returns a new object of class 'Template Condition'
`TemplateHelper` | `createTemplateHelper()` Returns a new object of class 'Template Helper'
`TemplatePackagePreferences` | `createTemplatePackagePreferences()` Returns a new object of class 'Template Package Preferences'
`GenctlPackage` | `getGenctlPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GenctlFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAppliesTo

    AppliesTo createAppliesTo()

  Returns a new object of class 'Applies To'.

  Returns:
    a new object of class 'Applies To'.

### createGeneratorControlArea

    GeneratorControlArea createGeneratorControlArea()

  Returns a new object of class 'Generator Control Area'.

  Returns:
    a new object of class 'Generator Control Area'.

### createGeneratorPreferences

    GeneratorPreferences createGeneratorPreferences()

  Returns a new object of class 'Generator Preferences'.

  Returns:
    a new object of class 'Generator Preferences'.

### createGeneratorProperty

    GeneratorProperty createGeneratorProperty()

  Returns a new object of class 'Generator Property'.

  Returns:
    a new object of class 'Generator Property'.

### createModelResourceFactory

    ModelResourceFactory createModelResourceFactory()

  Returns a new object of class 'Model Resource Factory'.

  Returns:
    a new object of class 'Model Resource Factory'.

### createTemplate

    Template createTemplate()

  Returns a new object of class 'Template'.

  Returns:
    a new object of class 'Template'.

### createTemplateCondition

    TemplateCondition createTemplateCondition()

  Returns a new object of class 'Template Condition'.

  Returns:
    a new object of class 'Template Condition'.

### createTemplateHelper

    TemplateHelper createTemplateHelper()

  Returns a new object of class 'Template Helper'.

  Returns:
    a new object of class 'Template Helper'.

### createTemplatePackagePreferences

    TemplatePackagePreferences createTemplatePackagePreferences()

  Returns a new object of class 'Template Package Preferences'.

  Returns:
    a new object of class 'Template Package Preferences'.

### getGenctlPackage

    GenctlPackage getGenctlPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD